## com.bbn.openmap.image
Class PNG32ImageFormatter

    java.lang.Object
      com.bbn.openmap.image.AbstractImageFormatter
          com.bbn.openmap.image.ImageIOFormatter
              com.bbn.openmap.image.PNG32ImageFormatter

All Implemented Interfaces:
  java.util.EventListener, ImageFormatter, java.beans.PropertyChangeListener, PropertyConsumer

public class PNG32ImageFormatter
extends ImageIOFormatter

Field Summary

Fields inherited from class com.bbn.openmap.image.ImageIOFormatter
`formatName`

Fields inherited from class com.bbn.openmap.image.AbstractImageFormatter
`bufferedImage, layers, propertiesPrefix`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`PNG32ImageFormatter()`

Method Summary
`java.lang.String` `getContentType()` Get the Mime Content Type created by the ImageFormatter.
`java.lang.String` `getFormatLabel()` Get the Image Type created by the ImageFormatter.
`ImageFormatter` `makeClone()` Create a new instance of the same type of formatter.

Methods inherited from class com.bbn.openmap.image.ImageIOFormatter
`formatImage, getFormatName, getGraphics, setFormatName`

Methods inherited from class com.bbn.openmap.image.AbstractImageFormatter
`getBufferedImage, getGraphics, getImageBytes, getImageFromMapBean, getImageFromMapBean, getImageFromMapBean, getProperties, getPropertyInfo, getPropertyPrefix, getScaledBufferedImage, getScaledImageBytes, propertyChange, setBufferedImage, setProperties, setProperties, setPropertyPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNG32ImageFormatter

    public PNG32ImageFormatter()

Method Detail

### makeClone

    public ImageFormatter makeClone()

  Description copied from class: `AbstractImageFormatter`
  Create a new instance of the same type of formatter. If you are running in a multi-threaded environment, you'll need to provide a new instance of the formatter to each thread, since the image and graphics that are being drawn into for each thread are contained within.

  Specified by:
    `makeClone` in interface `ImageFormatter`
  Specified by:
    `makeClone` in class `AbstractImageFormatter`
  Returns:
    a new instance of this type of formatter, with the same properties set.

### getContentType

    public java.lang.String getContentType()

  Description copied from interface: `ImageFormatter`
  Get the Mime Content Type created by the ImageFormatter.

### getFormatLabel

    public java.lang.String getFormatLabel()

  Description copied from interface: `ImageFormatter`
  Get the Image Type created by the ImageFormatter. These responses should adhere to the OGC WMT standard format labels. Some are listed in the WMTConstants interface file.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details